iPhone 6s and iPhone SE won’t update to iOS 15

According to rumours, the new version of iOS will not be available to older iPhone 6s, 6s Plus and iPhone SE from 2016. The new “axis” will require a fresher device, at least an iPhone 7 or 7 Plus.

Just in case, let me remind you that the iPhone 6s with the Apple A9 processor appeared at the end of 2015, so it is not surprising that Apple is not planning an update for the older man.

Nevertheless, updates for smartphones came out for a very long time, and the period of support for devices is still limited in time.

Perhaps the owners of old phones will not be happy with this news and even disappoint. But one day there comes a moment when the phone loses support due to its venerable age. And here it remains to either use the old one or upgrade it to a new model if you want to try the latest iOS.

Leave a Comment

Your email address will not be published. Required fields are marked *

Scroll to Top